## Version checks Version checks — Version information in the API. |

## Functions

#define | MM_CHECK_VERSION()

## Types and Values

#define | MM_MAJOR_VERSION
#define | MM_MINOR_VERSION
#define | MM_MICRO_VERSION

## Description

This section defines types that are used to identify the ModemManager version.

## Functions

### MM_CHECK_VERSION()

    #define             MM_CHECK_VERSION(major,minor,micro)

Checks the version of ModemManager at compile time.

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the ModemManager header files is the same as or newer than the passed-in version.

Since: 1.0

## Types and Values

### MM_MAJOR_VERSION

    #define MM_MAJOR_VERSION (1)

Evaluates to the major version number of ModemManager which this source is compiled against.

Since: 1.0

### MM_MINOR_VERSION

    #define MM_MINOR_VERSION (14)

Evaluates to the minor version number of ModemManager which this source is compiled against.

Since: 1.0

### MM_MICRO_VERSION

    #define MM_MICRO_VERSION (6)

Evaluates to the micro version number of ModemManager which this source compiled against.

Since: 1.0